Package com.sas.services.information

# Class OMIServerRepository.OMIEvaluator

java.lang.Object
com.sas.services.information.OMIServerRepository.OMIEvaluator

All Implemented Interfaces:
  com.sas.services.information.rules.EvaluatorInterface

Enclosing class:
  `OMIServerRepository`

public class OMIServerRepository.OMIEvaluator extends Object implements EvaluatorInterface

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OMIEvaluator(Object o)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `evaluate(String path, String value)`
  Evaluate a factory path as either true or false.
  `boolean`
  `evaluateObject(Object o, String attribute, String value)`
  Evaluate a single object given the attribute name and a value.
  `List`
  `setPath(String path)`
  Given an association path, get a list of objects that match that path for the base object (which should have been provided in the constructor).

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OMIEvaluator

    public OMIEvaluator(Object o)

- ## Method Details

  - ### evaluate

    public boolean evaluate(String path, String value) throws RemoteException, ServiceException
    Description copied from interface: `EvaluatorInterface`
    Evaluate a factory path as either true or false. The path should be of the form: ([/association]* /)? @attribute. An instance of this class will take an Object in the constructor, and the instance will have to know how to determine if the path has at least one value that matches the provided value.
    Specified by:
      `evaluate` in interface `EvaluatorInterface`
    Parameters:
      `path` - The data path to check for a value matching the value provided.
      `value` - The value to look for at the path.
    Returns:
      True if there is at least one value at the path matching the provided value.
    Throws:
      `RemoteException` - in the event of remote object failure.
      `ServiceException` - If a service level error occurs.

  - ### setPath

    public List setPath(String path) throws ServiceException, RemoteException
    Description copied from interface: `EvaluatorInterface`
    Given an association path, get a list of objects that match that path for the base object (which should have been provided in the constructor).
    Specified by:
      `setPath` in interface `EvaluatorInterface`
    Parameters:
      `path` - An association path of the form *assn1/*assn2/...
    Returns:
      A List of objects in the given association path of the base object.
    Throws:
      `ServiceException` - if a service level error occurs.
      `RemoteException` - in the event of remote object failure.

  - ### evaluateObject

    public boolean evaluateObject(Object o, String attribute, String value) throws RemoteException, ServiceException
    Description copied from interface: `EvaluatorInterface`
    Evaluate a single object given the attribute name and a value.
    Specified by:
      `evaluateObject` in interface `EvaluatorInterface`
    Parameters:
      `o` - The object to test against the attribute and value.
      `attribute` - The attribute name (as "@attribute").
      `value` - The value string to test.
    Returns:
      true if the object's attribute value matches the provided value.
    Throws:
      `RemoteException` - In the event of remote object failure.
      `ServiceException`